Package org.eclipse.search.ui

# Interface ISearchResultViewPart

All Superinterfaces:
  `IAdaptable`, `IPersistable`, `IViewPart`, `IWorkbenchPart`

public interface ISearchResultViewPart extends IViewPart

Interface for the search result view. The search result view is responsible for managing the set of search result and delegates display of search results to the appropriate `ISearchResultPage`. Clients may access the search result view via the `NewSearchUI` facade class.

This interface is not intended to be implemented by clients

Since:
  3.0
See Also:
  - `NewSearchUI.activateSearchResultView()`
  - `NewSearchUI.getSearchResultView()`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

## Method Summary

Modifier and Type
Method
Description
`void`
`fillContextMenu(IMenuManager menuManager)`
Search result pages should call this method to have the search results view contribute to their context menus.
`ISearchResultPage`
`getActivePage()`
Returns the `ISearchResultPage` currently shown in this search view.
`void`
`updateLabel()`
Requests that the search view updates the label it is showing for search result pages.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ui.IViewPart

`getViewSite, init, init, saveState`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

## Method Details

### fillContextMenu

void fillContextMenu(IMenuManager menuManager)
Search result pages should call this method to have the search results view contribute to their context menus.

Parameters:
  `menuManager` - the menu manager the search result view should contribute to

### getActivePage

ISearchResultPage getActivePage()
Returns the `ISearchResultPage` currently shown in this search view. Returns `null` if no page is currently shown.

Returns:
  the active `ISearchResultPage` or `null`

### updateLabel

void updateLabel()
Requests that the search view updates the label it is showing for search result pages. Typically, a search result page will call this method when the search result it's displaying is updated.

See Also:
  - `ISearchResultPage.getLabel()`